preferred.mediaobject.role
Prev | Graphics | Next

## preferred.mediaobject.role

preferred.mediaobject.role — Select which mediaobject to use based on this value of an object's `role` attribute.

## Synopsis

    <xsl:param name="preferred.mediaobject.role"></xsl:param>

## Description

A mediaobject may contain several objects such as imageobjects. If the parameter `use.role.for.mediaobject` is non-zero, then the `role` attribute on `imageobject`s and other objects within a `mediaobject` container will be used to select which object will be used. If one of the objects has a role value that matches the `preferred.mediaobject.role` parameter, then it has first priority for selection. If more than one has such a role value, the first one is used.

See the `use.role.for.mediaobject` parameter for the sequence of selection.

Prev | Up | Next
default.image.width | Home | use.role.for.mediaobject